Update which actions ask for a clip
PUT
/api/settings/clip-requestsSave which of bans, kicks and warnings ask the moderator's companion for a clip. Actions taken before the change are not asked about.
Needs the ManageSettings permission.
AuthorizationBearer <token>
An API key, made on Settings, API keys. Every key starts with mbk_.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
curl -X PUT "https://example.com/api/settings/clip-requests" \ -H "Content-Type: application/json" \ -d '{ "bans": true, "kicks": true, "warnings": true }'{ "bans": true, "kicks": true, "warnings": true}